export type Imports = Record<string, () => unknown>;
type InitProps = {
    images: Imports;
    passages: Imports;
};
declare class GameImports {
    private static instance;
    private images;
    private passages;
    private constructor();
    static init(props: InitProps): GameImports;
    static getInstance(): GameImports;
    getImages(): Imports;
    getPassages(): Imports;
}
export default GameImports;
